# Uses of Class
org.apache.zookeeper.server.ServerStats

Packages that use ServerStats
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.persistence

## Uses of ServerStats in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server that return ServerStats
Modifier and Type
Method
Description
`protected ServerStats`
DumbWatcher.`serverStats()`
`protected ServerStats`
NettyServerCnxn.`serverStats()`
`protected ServerStats`
NIOServerCnxn.`serverStats()`
`protected abstract ServerStats`
ServerCnxn.`serverStats()`
`ServerStats`
ZooKeeperServer.`serverStats()`

## Uses of ServerStats in org.apache.zookeeper.server.persistence

Methods in org.apache.zookeeper.server.persistence with parameters of type ServerStats
Modifier and Type
Method
Description
`void`
FileTxnLog.`setServerStats(ServerStats serverStats)`
Setter for ServerStats to monitor fsync threshold exceed
`void`
FileTxnSnapLog.`setServerStats(ServerStats serverStats)`
`void`
TxnLog.`setServerStats(ServerStats serverStats)`
Setter for ServerStats to monitor fsync threshold exceed